Bug 1012480 - CLI - "org subscriptions" shows error for RHEL subscriptions
CLI - "org subscriptions" shows error for RHEL subscriptions
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Mike McCune
Hayk Hovsepyan
: Regression, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 10:31 EDT by Hayk Hovsepyan
Modified: 2014-04-24 13:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:09:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hayk Hovsepyan 2013-09-26 10:31:58 EDT
Description of problem:
When executing CLI "org subscriptions" for organization with imported manifest, it shows error "Couldn't find product with id 'MCT0983'"

Version-Release number of selected component (if applicable):
Katello-Katello-Installation-RegisterRHNClassic-1.1-4.noarch
foreman-postgresql-1.3.0-6.el6sat.noarch
openldap-2.4.23-31.el6.x86_64
katello-configure-foreman-proxy-1.4.5-8.el6sat.noarch
pulp-puppet-plugins-2.3.0-0.14.alpha.el6sat.noarch
signo-katello-0.0.20-3.el6sat.noarch
katello-selinux-1.4.4-4.el6sat.noarch
katello-configure-foreman-1.4.5-8.el6sat.noarch
candlepin-selinux-0.8.25-1.el6sam.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-agent-1.4.4-2.el6sat.noarch
signo-0.0.20-3.el6sat.noarch
Katello-Katello-Installation-Satellite6Latest-1.0-9.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
apr-util-ldap-1.3.9-3.el6_0.1.x86_64
katello-qpid-broker-key-pair-1.0-1.noarch
Katello-Katello-Configuration-KatelloClient-1.1-50.noarch
candlepin-cert-consumer-aphrodite.usersys.redhat.com-1.0-1.noarch
foreman-1.3.0-6.el6sat.noarch
katello-cli-1.4.3-15.el6sat.noarch
katello-configure-1.4.5-8.el6sat.noarch
pulp-selinux-2.3.0-0.14.alpha.el6sat.noarch
pulp-rpm-plugins-2.3.0-0.14.alpha.el6sat.noarch
pulp-katello-plugins-0.2-1.el6sat.noarch
pulp-nodes-parent-2.3.0-0.14.alpha.el6sat.noarch
candlepin-scl-1-5.el6_4.noarch
elasticsearch-0.19.9-8.el6sat.noarch
katello-common-1.4.6-13.el6sat.noarch
katello-glue-pulp-1.4.6-13.el6sat.noarch
katello-glue-candlepin-1.4.6-13.el6sat.noarch
ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
candlepin-tomcat6-0.8.25-1.el6sam.noarch
katello-all-1.4.6-13.el6sat.noarch
foreman-proxy-1.3.0-1.el6sat.noarch
katello-cli-common-1.4.3-15.el6sat.noarch
python-ldap-2.3.10-1.el6.x86_64
katello-certs-tools-1.4.4-1.el6sat.noarch
pulp-server-2.3.0-0.14.alpha.el6sat.noarch
pulp-nodes-common-2.3.0-0.14.alpha.el6sat.noarch
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
katello-glue-elasticsearch-1.4.6-13.el6sat.noarch
katello-1.4.6-13.el6sat.noarch
candlepin-0.8.25-1.el6sam.noarch
katello-foreman-all-1.4.6-13.el6sat.noarch
katello-qpid-client-key-pair-1.0-1.noarch
pulp-rpm-handlers-2.3.0-0.14.alpha.el6sat.noarch
Katello-Katello-Sanity-ImportKeys-1.2-1.noarch

How reproducible:
always

Steps to Reproduce:
1. Import valid manifest, enable RHEL repo set.
2. On CLI execute "org subscriptions". you will see the error.

Actual results:
Error is shown.

Expected results:
It must show the list of available pools.

Additional info:
it works for orgs with custom content
Comment 3 Eric Helms 2013-10-09 12:16:58 EDT
I believe this issue stemmed from a change first reported in this bug https://bugzilla.redhat.com/show_bug.cgi?id=1015306. This was a result of changing how we looked up products, given that Marketing Products and Engineering Products can have the same ID in Candlepin. Moving to ON_QA to be verified.
Comment 4 Hayk Hovsepyan 2013-10-11 06:10:28 EDT
Verified on revision:
signo-0.0.22-2.el6sat.noarch
Katello-Katello-Installation-RegisterRHNClassic-1.1-4.noarch
foreman-1.3.0-15.el6sat.noarch
katello-cli-common-1.4.3-19.el6sat.noarch
openldap-2.4.23-31.el6.x86_64
pulp-nodes-common-2.3.0-0.17.beta.el6sat.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-0.8.25-1.el6sam.noarch
elasticsearch-0.19.9-8.el6sat.noarch
katello-glue-pulp-1.4.6-29.el6sat.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-agent-1.4.4-3.el6sat.noarch
Katello-Katello-Installation-Satellite6Latest-1.0-12.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
apr-util-ldap-1.3.9-3.el6_0.1.x86_64
katello-qpid-broker-key-pair-1.0-1.noarch
foreman-proxy-1.3.0-3.el6sat.noarch
foreman-postgresql-1.3.0-15.el6sat.noarch
katello-cli-1.4.3-19.el6sat.noarch
pulp-selinux-2.3.0-0.17.beta.el6sat.noarch
python-ldap-2.3.10-1.el6.x86_64
katello-certs-tools-1.4.4-1.el6sat.noarch
katello-configure-foreman-proxy-1.4.5-10.el6sat.noarch
pulp-rpm-plugins-2.3.0-0.17.beta.el6sat.noarch
pulp-nodes-parent-2.3.0-0.17.beta.el6sat.noarch
pulp-katello-plugins-0.2-1.el6sat.noarch
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-tomcat6-0.8.25-1.el6sam.noarch
signo-katello-0.0.22-2.el6sat.noarch
katello-glue-candlepin-1.4.6-29.el6sat.noarch
katello-selinux-1.4.4-4.el6sat.noarch
katello-1.4.6-29.el6sat.noarch
ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
katello-configure-foreman-1.4.5-10.el6sat.noarch
katello-foreman-all-1.4.6-29.el6sat.noarch
Katello-Katello-Configuration-KatelloClient-1.1-53.noarch
candlepin-cert-consumer-ares.usersys.redhat.com-1.0-1.noarch
katello-repos-1.4.2-1.el6.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
katello-configure-1.4.5-10.el6sat.noarch
pulp-server-2.3.0-0.17.beta.el6sat.noarch
pulp-puppet-plugins-2.3.0-0.17.beta.el6sat.noarch
candlepin-selinux-0.8.25-1.el6sam.noarch
katello-common-1.4.6-29.el6sat.noarch
katello-glue-elasticsearch-1.4.6-29.el6sat.noarch
katello-all-1.4.6-29.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
pulp-rpm-handlers-2.3.0-0.17.beta.el6sat.noarch
Katello-Katello-Installation-HammerCLI-1.0-7.noarch
Katello-Katello-Sanity-ImportKeys-1.2-1.noarch
Comment 7 Bryan Kearney 2014-04-24 13:09:21 EDT
This was verified and delivered with MDP2. Closing it out.
Comment 8 Bryan Kearney 2014-04-24 13:10:51 EDT
This was delivered and verified with MDP2. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.